[CRIU] [PATCH 2/2] scripts: terminate systemd-autofs-restart.sh if saved mountpoint is missing
Eugene Kolomeetz
klm at virtuozzo.com
Tue Jun 7 08:42:46 PDT 2016
restore_mountpoint() should never be called without saved mountpoint.
If this happens, this is bug in script logic, which needs fixing.
https://jira.sw.ru/browse/PSBM-44207
Signed-off-by: Eugene Kolomeetz <klm at virtuozzo.com>
---
scripts/systemd-autofs-restart.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/scripts/systemd-autofs-restart.sh b/scripts/systemd-autofs-restart.sh
index dd2ee13..d57f19b 100755
--- a/scripts/systemd-autofs-restart.sh
+++ b/scripts/systemd-autofs-restart.sh
@@ -108,7 +108,7 @@ function save_mountpoint {
function restore_mountpoint {
local mountpoint=$1
- [ -n "$bindmount" ] || exit 0
+ [ -n "$bindmount" ] || exit 1
# Umount file system, remounted by systemd, if any
if ! check_fs_type $mountpoint "autofs"; then
--
1.7.6
More information about the CRIU
mailing list